<template>
  <div id="app">
    <sa-navbar
        aria-label="Primary Navigation"
        app-title="Starter App"
        page-title="Main Page"
        class="main-nav"
    >
      <template v-slot:offcanvas>
        <sa-nav type="stacked" size="large" light>
          <sa-nav-item href="#">Section 1</sa-nav-item>
          <sa-nav-item href="#">Section 2</sa-nav-item>
        </sa-nav>
      </template>
    </sa-navbar>

    <div class="content">
      <h1>It works!</h1>
      <p>
        You can use any of the UI Library components and add your own in
        the <code>src/components/</code> folder.
      </p>
    </div>
  </div>
</template>

<script>
export default {
  name: 'App',
}
</script>

<style scoped>
.main-nav {
  background-color: #E9EFFC;
}

.content {
  padding: 2em 1em;
  text-align: center;
}
</style>
